/* ===== COLOR SCHEME ===== */
:root {
    --my-primary-rgb: 36, 87, 216; /* #2457D8 */
    --my-secondary-color: #004ddc;
    --my-footer-bg: #2d3663;
    --my-primary-linear-gradient: linear-gradient(45deg, #2457D8, #004ddc);
    --my-primary-linear-gradient-nav: linear-gradient(45deg, #2d3663, #2457D8);
    --my-hover-linear-gradient-nav: linear-gradient(45deg, #2457D8, #2d3663);
}

body {
    background-color: #f2f5ff !important; /* Base Light Color */
    color: #222;
    margin: 0;
    padding: 0;
    position: relative;
}

img {
    max-width: 100%;
    height: auto;
}

select,
input[type="checkbox"] {
    cursor: pointer;
}

.checkerboard {
    --checkerboard-black-color: #f8f9f9;
    --checkerboard-white-color: transparent;
    background-image: linear-gradient(45deg, var(--checkerboard-black-color) 25%, var(--checkerboard-white-color) 25%), linear-gradient(-45deg, var(--checkerboard-black-color) 25%, var(--checkerboard-white-color) 25%), linear-gradient(45deg, var(--checkerboard-white-color) 75%, var(--checkerboard-black-color) 75%), linear-gradient(-45deg, var(--checkerboard-white-color) 75%, var(--checkerboard-black-color) 75%);
    background-size: 20px 20px;
    background-position: 0 0, 0 10px, 10px -10px, -10px 0;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    position: absolute;
    background-color: #fff !important;
}

.my-ads-con {
    overflow: hidden;
    width: 100%;
    min-height: 90px;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    background-size: contain;
    margin-top: 10px;
    margin-bottom: 10px;
    height: auto !important;
}

.ads-container {
    background-color: #eee !important;
    position: relative;
    min-height: 90px;
}

.ads-container::before {
    content: "Ad";
    background-color: #aaa;
    border-radius: 5px;
    color: white;
    font: 10px sans-serif;
    padding: 5px;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.related-tools--list__link {
    color: #212121 !important;
}

.related-tools--list__link:hover {
    background-color: #ebebeb !important;
    color: rgb(var(--my-primary-rgb), 1) !important;
}

.cursor-pointer {
    cursor: pointer !important;
}

.user-select-none {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.user-drag-none {
    -webkit-user-drag: none;
    user-drag: none;
}

.small-2 {
    font-size: 12px;
}

.my-shadow-lg {
    box-shadow: 1px 2px 4px rgba(0, 0, 0, 0.14) !important;
}

.card-body-bg {
    background-color: #2d3663 !important; /* Brand Contrast Color */
}

.my-text-primary {
    --bs-text-opacity: 1;
    color: rgba(var(--my-primary-rgb), var(--bs-text-opacity)) !important;
}

.my-text-secondary-2 {
    color: var(--my-secondary-color) !important;
}

.my-bg-primary {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--my-primary-rgb), var(--bs-bg-opacity)) !important;
}

.my-bg-gray-1 {
    background-color: #f7f7f7;
}

.my-table-primary {
    --bs-table-color: #ffffff;
    --bs-table-bg: rgb(var(--my-primary-rgb));
    --bs-table-border-color: #c6c7c8;
    --bs-table-striped-bg: #ecedee;
    --bs-table-striped-color: #ffffff;
    --bs-table-active-bg: #dfe0e1;
    --bs-table-active-color: #ffffff;
    --bs-table-hover-bg: #e5e6e7;
    --bs-table-hover-color: #ffffff;
    color: var(--bs-table-color);
    border-color: var(--bs-table-border-color);
}

.my-btn-primary-1 {
    --bs-btn-color: #fff;
    --bs-btn-bg: #2457D8;
    --bs-btn-border-color: #2457D8;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #2d3663;
    --bs-btn-hover-border-color: #2d3663;
    --bs-btn-focus-shadow-rgb: 36, 87, 216;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #1c2344;
    --bs-btn-active-border-color: #1c2344;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #2457D8;
    --bs-btn-disabled-border-color: #2457D8;
}

.my-btn-whatsapp {
    --bs-btn-color: #fff;
    --bs-btn-bg: #11c452;
    --bs-btn-border-color: #11c452;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #029538;
    --bs-btn-hover-border-color: #029538;
    --bs-btn-focus-shadow-rgb: 36, 87, 216;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #038231;
    --bs-btn-active-border-color: #038231;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #11c452;
    --bs-btn-disabled-border-color: #11c452;
}

.my-btn-telegram {
    --bs-btn-color: #fff;
    --bs-btn-bg: #08c;
    --bs-btn-border-color: #08c;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #006da3;
    --bs-btn-hover-border-color: #006da3;
    --bs-btn-focus-shadow-rgb: 36, 87, 216;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #035984;
    --bs-btn-active-border-color: #035984;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #08c;
    --bs-btn-disabled-border-color: #08c;
}

.my-btn-reset {
    --bs-btn-color: #fff;
    --bs-btn-bg: #b12414;
    --bs-btn-border-color: #b12414;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #8c1d11;
    --bs-btn-hover-border-color: #8c1d11;
    --bs-btn-focus-shadow-rgb: 177, 36, 20;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #6e0f0b;
    --bs-btn-active-border-color: #6e0f0b;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #b12414;
    --bs-btn-disabled-border-color: #b12414;
}

.my-alert-1 {
    --bs-alert-color: #2d3663;
    --bs-alert-bg: #e4e4e9;
    --bs-alert-border-color: #2457D8;
    --bs-alert-link-color: #2d3663;
}

.my-btn-outline-primary {
    --bs-btn-color: #2457D8;
    --bs-btn-border-color: #2457D8;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #2457D8;
    --bs-btn-hover-border-color: #2457D8;
    --bs-btn-focus-shadow-rgb: 36, 87, 216;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #2457D8;
    --bs-btn-active-border-color: #2457D8;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #2457D8;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #2457D8;
    --bs-gradient: none;
}

.my-btn-light {
    --bs-btn-color: #2457D8;
    --bs-btn-bg: #f8f9fa;
    --bs-btn-border-color: #f8f9fa;
    --bs-btn-hover-color: #2457D8;
    --bs-btn-hover-bg: #f2f5ff;
    --bs-btn-hover-border-color: #c6c7c8;
    --bs-btn-focus-shadow-rgb: 211, 212, 213;
    --bs-btn-active-color: #2457D8;
    --bs-btn-active-bg: #c6c7c8;
    --bs-btn-active-border-color: #babbbc;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #2457D8;
    --bs-btn-disabled-bg: #f8f9fa;
    --bs-btn-disabled-border-color: #f8f9fa;
}

.my-btn-outline-light {
    --bs-btn-color: #f8f9fa;
    --bs-btn-border-color: #f8f9fa;
    --bs-btn-hover-color: #2457D8;
    --bs-btn-hover-bg: #f8f9fa;
    --bs-btn-hover-border-color: #f8f9fa;
    --bs-btn-focus-shadow-rgb: 248, 249, 250;
    --bs-btn-active-color: #2457D8;
    --bs-btn-active-bg: #f8f9fa;
    --bs-btn-active-border-color: #f8f9fa;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #f8f9fa;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #f8f9fa;
    --bs-gradient: none;
}

/* Fade In Animation */
.fade-in-animation-1s {
    animation: fadeIn 1s ease-in-out;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* ===== HOMEPAGE CARD STYLE ===== */
.tool-home-card {
    border-radius: 18px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out, background-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.tool-home-card:hover {
    transform: translateY(-5px);
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    background: var(--my-primary-linear-gradient);
    color: white;
}

/* ===== CARD STYLE ===== */
.card,
.my-card-shadow {
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1) !important;
}

.card.shadow-none {
    box-shadow: none !important;
}

/* ===== INPUT, SELECT STYLE ===== */
.form-control:focus,
.form-select:focus {
    --opacity: .25;
    border-color: #7bc4ff;
    box-shadow: 0 0 0 .25rem rgba(var(--my-primary-rgb), var(--opacity));
}

button:focus,
.btn-close:focus {
    --opacity: .25;
    box-shadow: 0 0 0 .25rem rgba(var(--my-primary-rgb), var(--opacity)) !important;
}

select option:checked {
    --opacity: .85;
    background-color: rgba(var(--my-primary-rgb), var(--opacity));
    color: #fff;
}

/* Switch Toggle and Check Input */
.form-check-input:checked {
    background-color: rgb(var(--my-primary-rgb)) !important;
    border-color: rgb(var(--my-primary-rgb)) !important;
}

.form-check-input:focus {
    border-color: rgba(var(--my-primary-rgb), 0.65) !important;
    --opacity: .25;
    box-shadow: 0 0 0 .25rem rgba(var(--my-primary-rgb), var(--opacity)) !important;
}

.form-switch .form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%232457d8'/%3e%3c/svg%3e");
}

.form-switch .form-check-input:checked {
    background-position: right center;
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e");
}

/* My Radio Label Input */
.my-radio-card__label {
    font-size: 1.6rem;
    line-height: 1;
}

.my-radio-card__label .fa-circle-check {
    display: none;
}

input[type="radio"]:checked+.my-radio-card__top-label+div+.my-radio-card__label .fa-circle {
    display: none;
}

input[type="radio"]:checked+.my-radio-card__top-label+div+.my-radio-card__label .fa-circle-check {
    display: inline-block;
}

/* Range slider input */
.form-range::-webkit-slider-runnable-track {
    width: 100%;
    height: 3px;
    background: rgba(0, 0, 0, 0.5);
    border: 0;
    border-radius: 3px;
}

.form-range::-webkit-slider-thumb {
    -webkit-appearance: none;
    border: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background-color: rgb(var(--my-primary-rgb));
    margin-top: -6px;
}

.form-range:focus {
    outline: none;
}

.form-range::-moz-range-track {
    width: 100%;
    height: 3px;
    background: rgba(0, 0, 0, 0.5);
    border: 0;
    border-radius: 3px;
}

.form-range::-moz-range-thumb {
    border: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background-color: rgb(var(--my-primary-rgb));
    margin-top: -6px;
}

.form-range:focusring {
    outline: 1px solid white;
    outline-offset: -1px;
}

.form-range::-ms-track {
    width: 100%;
    height: 5px;
    background: transparent;
    border-color: transparent;
    border-width: 6px 0;
    color: transparent;
}

.form-range::-ms-fill-lower {
    background: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}

.form-range::-ms-fill-upper {
    background: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}

.form-range::-ms-thumb {
    border: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background-color: rgb(var(--my-primary-rgb));
    margin-top: 1px;
}

.form-range:focus::-ms-fill-lower {
    background: rgba(0, 0, 0, 0.5);
}

.form-range:focus::-ms-fill-upper {
    background: rgba(0, 0, 0, 0.5);
}

input[type="range"]::-webkit-slider-thumb {
    background-color: rgb(var(--my-primary-rgb));
    border: 2px solid rgb(var(--my-primary-rgb));
    transition: background-color 0.3s ease;
    cursor: pointer;
}

input[type="range"]::-webkit-slider-thumb:active {
    background-color: rgb(var(--my-primary-rgb));
    --opacity: .25;
    box-shadow: 0 0 0 .25rem rgba(var(--my-primary-rgb), var(--opacity)) !important;
}

input[type="range"]::-moz-range-thumb:active {
    background-color: rgb(var(--my-primary-rgb));
    --opacity: .25;
    box-shadow: 0 0 0 .25rem rgba(var(--my-primary-rgb), var(--opacity)) !important;
}

input[type="range"]::-ms-thumb:active {
    background-color: rgb(var(--my-primary-rgb));
    --opacity: .25;
    box-shadow: 0 0 0 .25rem rgba(var(--my-primary-rgb), var(--opacity)) !important;
}

/* ===== Horizontal text ===== */
.hr-text {
    position: relative;
    outline: 0;
    border: 0;
    width: 100%;
    height: 1.5em;
    font-size: 14px;
    color: #000;
    line-height: 1em;
    text-align: center;
    margin: 10px 0 15px 0;
}

.hr-text:before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    width: 100%;
    height: 1px;
    max-height: 1px;
    min-height: 1px;
    opacity: 0.5;
    background-color: #0000006e;
}

.hr-text:after {
    content: attr(data-content);
    position: relative;
    display: inline-block;
    padding: 0 0.5em;
    line-height: 1.5em;
    color: #393939;
    background-color: #fff;
}

/* ===== TABS STYLE ===== */
/* Tabs Nav */
.nav-tabs .nav-link {
    color: #080808;
}

.nav-tabs .nav-link.active {
    font-weight: bold;
}

/* ===== ABSOLUTE FORM CONTROL ===== */
.abs-form__container {
    position: relative;
    margin-top: 0.65rem !important;
}

.abs-form__label {
    position: absolute;
    top: -8px;
    left: 24px;
    z-index: 1;
    line-height: 1;
    margin: 0;
    background-color: #fff;
    padding: 0 4px;
    border-radius: 3px 3px 0 0;
}

.abs-form__container .abs-form__input,
.abs-form__container .abs-form__select {
    font-size: 18px;
    line-height: 34px;
    font-weight: 700;
    color: #000;
}

/* ===== Z INDEX ===== */
.left-1 { left: 0.25rem !important; }
.left-2 { left: 0.5rem !important; }
.left-3 { left: 0.75rem !important; }
.right-1 { left: 0.25rem !important; }
.right-2 { left: 0.5rem !important; }
.right-3 { left: 0.75rem !important; }

.z-1030 { z-index: 1030 !important; }
.z-1090 { z-index: 1090 !important; }

/* ===== NAVBAR STYLE ===== */
.navbar {
    background: var(--my-primary-linear-gradient-nav);
}

.navbar-toggler:focus {
    box-shadow: none !important;
}

.my-navbar .navbar-nav .nav-link.active,
.my-navbar .navbar-nav .nav-link.show,
.my-navbar .nav-link:focus,
.my-navbar .navbar-nav .nav-link:hover,
.my-navbar .navbar-brand,
.my-navbar .navbar-nav .nav-link {
    color: white !important;
}

.my-navbar .navbar-nav .nav-link {
    padding: 8px;
}

.my-navbar .navbar-nav .nav-link:hover {
    color: white !important;
    background: var(--my-hover-linear-gradient-nav);
    border-radius: 6px;
}

/* Dropdown Menu */
.my-navbar .dropdown-item.active,
.my-navbar .dropdown-item:active {
    background-color: #fff;
    color: #212121 !important;
}

.my-navbar .dropdown-item:focus,
.dropdown-item:hover,
.my-navbar .dropdown-item.active:hover {
    background: var(--my-primary-linear-gradient-nav) !important;
    color: #fff !important;
}

.my-navbar .dropdown-menu li a {
    position: relative;
}

.my-navbar .dropdown-menu li:not(:last-child) a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background: var(--my-primary-linear-gradient-nav);
}

/* ===== RIGHT SIDE BAR STYLE ===== */
.my-right-sidebar .nav-link:hover {
    color: var(--my-secondary-color);
}

/* ===== FOOTER BAR STYLE ===== */
.footer {
    background-color: var(--my-footer-bg) !important;
    color: white;
    padding: 20px 0;
    text-align: center;
}

.my-footer a:hover {
    color: #fff900 !important;
}

/* ===== UPLOAD AREA ===== */
.upload-area__main {
    max-width: 500px;
    margin: 0 auto;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.upload-area__inner {
    min-height: 180px;
    border: 2px dashed #adb5bd;
    padding: 20px;
    text-align: center;
    cursor: pointer;
    background-color: #ffffff;
    padding: 16px 16px 35px;
    border-radius: 20px;
    position: relative;
    transition: 0.3s ease-in-out;
}

.upload-area__inner:hover {
    --opacity: 0.06;
    background-color: rgba(var(--my-primary-rgb), var(--opacity)) !important;
}

.upload-area__inner-content {
    pointer-events: none;
    user-select: none;
}

.upload-area__choose-files-btn {
    position: absolute;
    width: 250px;
    left: calc(50% - 125px);
    bottom: -18px;
    font-weight: 600;
}

/* ===== SHADOW ===== */
.my-shadow-1 {
    -webkit-box-shadow: 0 2px 6px 0 rgba(115, 115, 115, .6);
    box-shadow: 0 2px 6px 0 rgba(115, 115, 115, .6);
}

.my-shadow-2 {
    -webkit-box-shadow: 0 3px 6px 0 rgba(0, 0, 0, .15);
    box-shadow: 0 3px 6px 0 rgba(0, 0, 0, .15);
}

/* ===== TRANSITION EFFECT ===== */
.transition-all-2s { transition: all .2s ease-in-out; }
.transition-all-3s { transition: all .3s ease-in-out; }
.transition-all-4s { transition: all .4s ease-in-out; }

/* ===== Zoom / Image Overlay ===== */
.image__overlay {
    display: none;
    background: rgba(0, 0, 0, 0.9);
}

.image__overlay.active {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* ===== RESPONSIVE ===== */
.my-counter__items { counter-reset: my-awesome-counter; }
.my-counter__item { counter-increment: my-awesome-counter; }

.my-counter__item:before {
    content: counter(my-awesome-counter);
    --opacity: 1;
    background-color: rgba(var(--my-primary-rgb), var(--opacity));
    color: #fff;
    font-size: 14px;
    font-weight: 700;
    text-align: center;
    position: absolute;
    top: 5px;
    left: 6px;
    padding: 0 4px;
    --size: 22px;
    line-height: var(--size);
    min-width: var(--size);
    min-height: var(--size);
    border-radius: 100%;
}

/* ===== LOADING OVERLAY ===== */
.loading__container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    z-index: 1000;
    justify-content: center;
    align-items: center;
}

@media (min-width: 769px) {
    .w-auto-desk { width: auto !important; }
    #total-marks { width: 25% !important; }
    .my-right-sidebar .sticky-md-top { top: 30px; z-index: 10; }
    .dropdown:hover>.dropdown-menu { display: block; }
    .dropdown>.dropdown-toggle:active { pointer-events: none; }
}

@media (max-width: 768px) {
    .small-md-2 { font-size: 12px; }
    .fs-mob-18 { font-size: 18px !important; }
    .fs-mob-20 { font-size: 20px !important; }
    .w-100-mob { width: 100% !important; }
    .text-input { flex: 1 1 60% !important; }
    .number-input { flex: 1 1 40% !important; }
    .tool-home-card .card-title { font-size: 17px !important; }
    .abs-form__container { margin-top: 1.75rem !important; }
    .abs-form__container .abs-form__input,
    .abs-form__container .abs-form__select { font-size: 15px; }
}

@media (max-width: 425px) {
    .w-100-small { width: 100% !important; }
    .upload-area__choose-files-btn { width: 220px; left: calc(50% - 110px); }
}

@media (max-width: 995px) {
    .download--section__back-btn { order: 2 !important; margin-right: auto !important; }
    .download--section__download-btn { order: 1 !important; width: 100% !important; }
    .download--section__delete-refresh-btn { order: 3 !important; }
}